Summary: PostgreSQL Data Base Management System
Name: postgresql
Version: 6.2.1
Release: 1
Source0: postgresql-6.2.1.tar.gz
Source1: postgres.init
URL: http://www.PostgreSQL.org/
Packager: Bernhard Fastenrath <fasten@shw.com>
Vendor: (none)
Patch: postgresql-6.2.1-1.patch
Group: Applications/Databases
Copyright: Copyright (c) 1994-6 Regents of the University of California, distributable

%package devel
Summary: Libraries/header files for developing PostgreSQL applications
Group: Development/Libraries
Requires: postgresql = %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
%description devel
This package includes the libraries and header files necessary to develop
postgresql applications in C.

%package perl5
Summary: Perl interface module for PostgreSQL
Group: Development/Libraries/Perl
Requires: postgresql = %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
Requires: perl >= 5.004
%description perl5
The perl5 module provides a perl interface to the postgresql database.
Both a C syntax and object oriented interface are provided.

%package JDBC
Summary: Java JDBC interface module for PostgreSQL
Group: Development/Libraries/Java
%description JDBC
Java ARchive (.jar) of the Java database interface driver for PostgreSQL.

%package contrib
Summary: 
Group: Development/Libraries/Java
%description contrib
The unmodified contrib directory of the PostgreSQL source distribution.

%description
PostgreSQL Data Base Management System (formerly known as Postgres,
then as Postgres95).
This rpm contains the version 6.2.1 release of the PostgreSQL
database server. The server is not ANSI SQL compliant, but it gets
closer with every release.

WARNING: If you are upgrading an existing system then back up your
database. The database format is liable to change every few weeks
with no notice besides a quick comment in the HACKERS mailing list.
It is therefore a bad idea to skip this step. Have a look at the
INSTALL file for instructions.
If you rebuild the source rpm you should deinstall postgresql
first and make sure there is no /var/lib/postgresql directory.
(built with flex-2.5.4, see README.flex)

%pre
if [ -d /var/lib/postgresql/ ] ; then
  cat <<EOT

  Please export and remove the existing database in /var/lib/postgresql/ first.
  Have a look at the INSTALL file for instructions. You can extract the INSTALL
  file with the following command:
rpm2cpio postgresql-6.2.1-1.i386.rpm | cpio -ivd usr/doc/postgresql-6.2.1-1/INSTALL

EOT
  exit 1
fi

%prep
if [ -d /var/lib/postgresql/ ] ; then
  cat <<EOT

  Please export and remove the existing database in /var/lib/postgresql/ first.
  Have a look at the INSTALL file for instructions.

EOT
  exit 1
fi
%setup -n postgresql-6.2.1
%patch -p1

%build
cd src
echo -e '\n' | ./configure --prefix=/usr --with-template=linux-elf --includedir=/usr/include/postgres
make HEADERDIR=/usr/include/postgres SRCDIR="`pwd`" DATADIR=/var/lib/postgresql
# perl5 interface
ln -s libpq lib
cd interfaces/perl5/
sh -c "export POSTGRESBUILDDIR=\"`pwd`/../..\"; perl Makefile.PL; make OPTIMIZE=\"${RPM_OPT_FLAGS}\""
# JDBC interface
cd ../jdbc/
make

%install
mkdir -p /var/lib/postgresql/data
cd src
make SRCDIR="`pwd`" DATADIR=/var/lib/postgresql HEADERDIR=/usr/include/postgres install
cd interfaces
make -C libpgtcl DATADIR=/var/lib/postgresql HEADERDIR=/usr/include/postgres install
make -C libpq++ DATADIR=/var/lib/postgresql HEADERDIR=/usr/include/postgres install
cd ..
install -m 0755 $RPM_SOURCE_DIR/postgres.init /etc/rc.d/init.d/postgres.init
for I in 0 1 2 6; do
	ln -sf ../init.d/postgres.init /etc/rc.d/rc$I.d/K10postgres
done
for I in 3 5; do
	ln -sf ../init.d/postgres.init /etc/rc.d/rc$I.d/S90postgres
done

strip /usr/bin/postgres /usr/bin/postmaster /usr/bin/pg_id \
	/usr/bin/pg_version /usr/bin/psql /usr/bin/pg_dump \
	/usr/bin/pg_dumpall /usr/bin/cleardbdir /usr/bin/createdb \
	/usr/bin/createuser /usr/bin/destroydb /usr/bin/destroyuser \
	/usr/bin/initdb || :

chown -R daemon:daemon /var/lib/postgresql
chmod -R a-rwx,u=rwX /var/lib/postgresql
ln -sf libpq.so.1 /usr/lib/libpq.so
su -c "initdb --pgdata=/var/lib/postgresql/data --pglib=/var/lib/postgresql" daemon
chmod -R go-rwx /var/lib/postgresql
# perl5 interface
cd interfaces/perl5/
make install
cp README ../../../README.perl5
# JDBC interface
cd ../jdbc/
mkdir -p /usr/share/java/
cp postgresql.jar /usr/share/java/
cp README ../../../README.JDBC
# contrib
cd ../../..
mkdir -p /usr/share/postgresql/
tar cf - contrib | (cd /usr/share/postgresql/; tar xf -)

%files
%doc COPYRIGHT HISTORY INSTALL README doc migration README.JDBC README.perl5
%config /etc/rc.d/init.d/postgres.init
/etc/rc.d/rc3.d/S90postgres
/etc/rc.d/rc5.d/S90postgres
/etc/rc.d/rc0.d/K10postgres
/etc/rc.d/rc1.d/K10postgres
/etc/rc.d/rc2.d/K10postgres
/etc/rc.d/rc6.d/K10postgres
/var/lib/postgresql
/usr/bin/postgres
/usr/bin/postmaster
/usr/bin/psql
/usr/bin/pg_id
/usr/bin/pg_passwd
/usr/bin/pg_version
/usr/bin/pg_dumpall
/usr/bin/pg_dump
/usr/bin/cleardbdir
/usr/bin/createdb
/usr/bin/createuser
/usr/bin/destroydb
/usr/bin/destroyuser
/usr/bin/initdb
/usr/man/man1/cleardbdir.1
/usr/man/man1/createdb.1
/usr/man/man1/createuser.1
/usr/man/man1/destroydb.1
/usr/man/man1/destroyuser.1
/usr/man/man1/initdb.1
/usr/man/man1/ipcclean.1
/usr/man/man1/monitor.1
/usr/man/man1/pg_dump.1
/usr/man/man1/pg_dumpall.1
/usr/man/man1/pg_passwd.1
/usr/man/man1/pgintro.1
/usr/man/man1/postgres.1
/usr/man/man1/postmaster.1
/usr/man/man1/psql.1
/usr/man/man5/bki.5
/usr/man/man5/page.5
/usr/man/man5/pg_hba.conf.5
/usr/man/manl/abort.l
/usr/man/manl/alter_table.l
/usr/man/manl/begin.l
/usr/man/manl/close.l
/usr/man/manl/cluster.l
/usr/man/manl/commit.l
/usr/man/manl/copy.l
/usr/man/manl/create_aggregate.l
/usr/man/manl/create_database.l
/usr/man/manl/create_function.l
/usr/man/manl/create_index.l
/usr/man/manl/create_operator.l
/usr/man/manl/create_rule.l
/usr/man/manl/create_sequence.l
/usr/man/manl/create_table.l
/usr/man/manl/create_trigger.l
/usr/man/manl/create_type.l
/usr/man/manl/create_version.l
/usr/man/manl/create_view.l
/usr/man/manl/declare.l
/usr/man/manl/delete.l
/usr/man/manl/drop.l
/usr/man/manl/drop_aggregate.l
/usr/man/manl/drop_database.l
/usr/man/manl/drop_function.l
/usr/man/manl/drop_index.l
/usr/man/manl/drop_operator.l
/usr/man/manl/drop_rule.l
/usr/man/manl/drop_sequence.l
/usr/man/manl/drop_table.l
/usr/man/manl/drop_trigger.l
/usr/man/manl/drop_type.l
/usr/man/manl/drop_view.l
/usr/man/manl/end.l
/usr/man/manl/explain.l
/usr/man/manl/fetch.l
/usr/man/manl/grant.l
/usr/man/manl/insert.l
/usr/man/manl/listen.l
/usr/man/manl/load.l
/usr/man/manl/move.l
/usr/man/manl/notify.l
/usr/man/manl/purge.l
/usr/man/manl/rename.l
/usr/man/manl/reset.l
/usr/man/manl/revoke.l
/usr/man/manl/rollback.l
/usr/man/manl/select.l
/usr/man/manl/set.l
/usr/man/manl/show.l
/usr/man/manl/sql.l
/usr/man/manl/update.l
/usr/man/manl/vacuum.l
/usr/lib/libpgtcl.so.1
/usr/lib/libpgtcl.so
/usr/lib/libpq.so.1
/usr/lib/libpq.so

%files devel
/usr/include/postgres
/usr/man/man3/catalogs.3
/usr/man/man3/large_objects.3
/usr/man/man3/libpq.3
/usr/man/man3/libpq++.3
/usr/man/man3/oracle_compat.3
/usr/man/man3/pgbuiltin.3
/usr/lib/libpq.a
/usr/lib/libpgtcl.a
/usr/lib/libpq++.a

%files perl5
%dir /usr/lib/perl5/site_perl/i386-linux/auto/Pg
/usr/lib/perl5/site_perl/i386-linux/auto/Pg/Pg.so
/usr/lib/perl5/site_perl/i386-linux/auto/Pg/Pg.bs
/usr/lib/perl5/site_perl/i386-linux/auto/Pg/.packlist
%dir /usr/lib/perl5/site_perl/auto/Pg
/usr/lib/perl5/site_perl/auto/Pg/autosplit.ix
/usr/lib/perl5/site_perl/Pg.pm
/usr/lib/perl5/man/man3/Pg.3

%files JDBC
/usr/share/java/postgresql.jar

%files contrib
/usr/share/postgresql/contrib
